%define oname cryptokit
Name: ocaml-%oname
License: GPL
Group: Development/Other
Summary: Development files for %name-runtime
Version: 1.3
Release: alt5
Url: http://pauillac.inria.fr/~xleroy/
Source: http://caml.inria.fr/distrib/bazar-ocaml/%oname-%version.tar.gz
Patch0: %oname-install.patch
Packager: Boris Savelev <boris@altlinux.org>
Requires: %name-runtime = %version-%release

# Automatically added by buildreq on Sat Aug 23 2008
BuildRequires: ocaml zlib-devel

%description
This package contains the development files needed to build applications
using %name.

%package runtime
Summary: Cryptographic primitives for OCaml
Group: System/Libraries
Obsoletes: libcryptokit-ocaml
Provides: libcryptokit-ocaml = %version

%description runtime
The Cryptokit library for Objective Caml provides a
variety of cryptographic primitives that can be used
to implement cryptographic protocols in security-sensitive applications.

%prep
%setup -q -n %oname-%version
%patch0 -p0
sed -i -e 's:/usr/lib:%_libdir:g' Makefile

%build
%make all
%make allopt

%install
mkdir -p %buildroot%_libdir/ocaml/stublibs
mkdir -p %buildroot%_libdir/ocaml/site-lib/%oname
%makeinstall_std
mv %buildroot%_libdir/ocaml/*%{oname}*.{a,c*} %buildroot%_libdir/ocaml/site-lib/%oname
# add META
cat >> %buildroot%_libdir/ocaml/site-lib/%oname/META << EOF
name="%oname"
version="%version"
description="Cryptographic primitives"
archive(byte)="%oname.cma"
archive(native)="%oname.cmxa"
requires="num unix"
EOF

%files runtime
%dir %_libdir/ocaml/site-lib/%oname
%_libdir/ocaml/stublibs/*.so

%files
%_libdir/ocaml/site-lib/%oname/*

%changelog
* Thu Oct 02 2008 Boris Savelev <boris@altlinux.org> 1.3-alt5
- remove "directory" from META

* Tue Sep 30 2008 Boris Savelev <boris@altlinux.org> 1.3-alt4
- add requires to META (fix #170011)

* Thu Sep 04 2008 Boris Savelev <boris@altlinux.org> 1.3-alt3
- rename to ocaml-cryptokit
- move files to site-lib/cryptokit
- add META
- split runtime and devel package

* Tue Aug 26 2008 Boris Savelev <boris@altlinux.org> 1.3-alt2
- add make allopt (to build cryptokit.cmxa)

* Sat Aug 23 2008 Boris Savelev <boris@altlinux.org> 1.3-alt1
- initial build

